import { CssManager } from './dees-element.classes.cssmanager';

// lit exports
export {
  html,
  TemplateResult,
  css,
  unsafeCSS,
} from 'lit';

export {
  customElement,
  property,
  state
} from 'lit/decorators'

// domtools exports
import * as domtools from '@designestate/dees-domtools';
export {
  domtools
}

// DeesElements exports
export { DeesElement } from './dees-element.classes.dees-element';

/**
 * a singleton instance of CssManager
 */
export const cssManager = new CssManager();
